ParagraphTag (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.convert.seamtext.tags.ParagraphTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.convert.seamtext.tags
Class ParagraphTag

    java.lang.Object
      org.richfaces.convert.seamtext.tags.HtmlTag
          org.richfaces.convert.seamtext.tags.ParagraphTag

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class ParagraphTag

extends HtmlTag

Since:
  3.3.2.CR1
Author:
  Alex.Kolonitsky
See Also:
  Serialized Form

Field Summary
`protected boolean` | `isHtml`

Fields inherited from class org.richfaces.convert.seamtext.tags.HtmlTag
`A, AREA, BLOCKQOUTE, body, BR, COL, DEL, H1, H2, H3, H4, HR, I, IMG, LI, OL, P, PRE, Q, SUP, TT, U, UL`

Constructor Summary
`protected` | `ParagraphTag()`

Method Summary
`void` | `appendBody(java.lang.String str)`
`protected void` | `appendChildTag(java.lang.StringBuilder res, HtmlTag child)`
`java.lang.String` | `getStartTag()`
`protected java.lang.String` | `printBody()`
`java.lang.String` | `printEnd()`
`java.lang.String` | `printPlain()`
`java.lang.String` | `printStart()`
`java.lang.String` | `printStartSuffix()`
`void` | `setStartTag(java.lang.String startTag)`

Methods inherited from class org.richfaces.convert.seamtext.tags.HtmlTag
`appendBody, cleanBody, clone, cloneTag, getAttribute, getAttributes, getName, isBodyEmpty, isBreakLineChild, isHeader, isLineTag, isLink, isList, isListItem, isParagraph, isPreFormattedElement, isQuote, prepareValue, print, printAttributes, printPlainEnd, printPlainStart, setAttributes, setEmpty, setName, setNotEmpty, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### isHtml

    protected boolean isHtml

Constructor Detail

### ParagraphTag

    protected ParagraphTag()

Method Detail

### appendBody

    public void appendBody(java.lang.String str)

### printStart

    public java.lang.String printStart()

### printEnd

    public java.lang.String printEnd()

### printStartSuffix

    public java.lang.String printStartSuffix()

  Overrides:
    `printStartSuffix` in class `HtmlTag`

### printPlain

    public java.lang.String printPlain()

  Overrides:
    `printPlain` in class `HtmlTag`

### appendChildTag

    protected void appendChildTag(java.lang.StringBuilder res,
                                  HtmlTag child)

  Overrides:
    `appendChildTag` in class `HtmlTag`

### printBody

    protected java.lang.String printBody()

  Overrides:
    `printBody` in class `HtmlTag`

### getStartTag

    public java.lang.String getStartTag()

### setStartTag

    public void setStartTag(java.lang.String startTag)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.